#
# spec file for package perl-Class-Inspector
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Class-Inspector
Version:        1.36
Release:        1.1
%define cpan_name Class-Inspector
Summary:        Get information about a class and its structure
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/P/PL/PLICEASE/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More) >= 0.98
%{perl_requires}

%description
Class::Inspector allows you to get information about a loaded class. Most
or all of this information can be found in other ways, but they aren't
always very friendly, and usually involve a relatively high level of Perl
wizardry, or strange and unusual looking code. Class::Inspector attempts to
provide an easier, more friendly interface to this information.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc author.yml Changes README
%license LICENSE

%changelog
* Sun Jul 21 2019 Stephan Kulow <coolo@suse.com>
- updated to 1.36
  see /usr/share/doc/packages/perl-Class-Inspector/Changes
  1.36      2019-07-19 08:35:53 -0400
  - Producton release identical to 1.35_01
  1.35_01   2019-07-18 12:00:22 -0400
  - Fix bug in methods method that could cause it to modify @ISA (gh#11)
* Fri Mar 29 2019 Stephan Kulow <coolo@suse.com>
- updated to 1.34
  see /usr/share/doc/packages/perl-Class-Inspector/Changes
  1.34      2019-03-28 12:13:40 -0400
  - Producton release identical to 1.33_01
  1.33_01   2019-03-27 23:30:09 -0400
  - Fix compatability with Devel::Hide (gh#6, gh#8).
* Wed Aug  9 2017 coolo@suse.com
- updated to 1.32
  see /usr/share/doc/packages/perl-Class-Inspector/Changes
  1.32      2017-08-08 14:12:42 -0400
  - The installed method now supports @INC hooks of any type
    (coderef was supported as of 1.29, now arrayrefs and objects
    are supported)
  - Detect probably broken Perl on Cygwin in Makefile.PL (see gh#5)
* Sat Nov 26 2016 coolo@suse.com
- updated to 1.31
  see /usr/share/doc/packages/perl-Class-Inspector/Changes
  1.31      2016-11-25 09:33:47 -0500
  - Migrated from Module::Install to Dist::Zilla and ExtUtils::MakeMaker
  - Fixed meta for repository which was pointing to the wrong URL
* Thu Nov 24 2016 coolo@suse.com
- updated to 1.30
  see /usr/share/doc/packages/perl-Class-Inspector/Changes
  1.30 23 Nov 2016
  - Moving to prod release
  1.29_02 23 Nov 2016
  - Update metadata to point to github repository.
    Plus some other minor dist meta tweaks.
  - Note: planning on doing a migration from Module::Install
    to ExtUtils::MakeMaker shortly AFTER the next production
    release.
  1.29_01 22 Nov 2016
  - Fix Makefile.PL to work with Perls without '.' in @INC
  - Fix for the installed method when used with a PAR archive (rt#42846)
  - Minor documentation fixes (grammar, spelling: rt#74481, rt#85356)
* Mon Jun  3 2013 coolo@suse.com
- updated to 1.28
  - No functional changes
  - Updating to Module::Install::DSL 1.06
* Tue Feb 21 2012 coolo@suse.com
- updated to 1.27
  - Updating to Module::Install::DSL 1.04
  - Updating copyright year
  - Remove usage of defined @{"X::ISA"} to avoid warnings in 5.15.7
    and later Perl 5.16 (Tom Wyant)
* Tue Mar 15 2011 coolo@novell.com
- update to 0.25:
  - Updating to Module::Install::DSL 1.00
  - Updating copyright year
- regenerate spec file
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Thu Jan 14 2010 coolo@novell.com
- norootforbuild is default now
* Wed Jan 13 2010 coolo@novell.com
- removing author from %%description
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Thu Dec 10 2009 chris@computersalat.de
- update to version 1.24
  * Updating Perl dependency to 5.006
  * Updating to Module::Install::DSL 0.83
  * Add the Class::Inspector::Functions interface.
- cleanup spec
  * fix deps
  * removed changelog entries
- add perl-macros
  * perl_gen_filelist
* Wed Jan 21 2009 pth@suse.de
- Update to 1.23.
  Changes since 1.19:
  - Updating to Module::Install 0.75
  - Correcting the location of the author tests
  - Adding experimental support for utf8 methods
    (as per http://rt.cpan.org/Public/Bug/Display.html?id=28796)
  - Adapt to changes to File::Spec
* Tue Nov 20 2007 pth@suse.de
- Update to 1.18:
  - Updated to Module::Install 0.68
    (This brings META.yml to the current version)
  - Classes with leading numbers after the first :: are permitted
  - Removing some old cruft from the tests
* Wed Oct 18 2006 pth@suse.de
- Initial package creation.
